%define gtk2_version 2.2.0
%define libgnomeprint_version 2.2.1.2
%define libgnomecanvas_version 2.1.0
%define gettext_package libgnomeprintui-2.2

Summary: GUI support for libgnomeprint
Name: libgnomeprintui22
Version: 2.2.1.3
Release: 2.0
Source0: libgnomeprintui-%{version}.tar.bz2
URL: http://ftp.gnome.org/pub/gnome/sources/libgnomeprintui/
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Requires:  gtk2 >= %{gtk2_version}
Requires:  libgnomeprint22 >= %{libgnomeprint_version}
Requires:  libgnomecanvas >= %{libgnomecanvas_version}

BuildRequires:	gtk2-devel >= %{gtk2_version}
BuildRequires:  libgnomeprint22-devel >= %{libgnomeprint_version}
BuildRequires:  libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildRequires:  fontconfig-devel

BuildPrereq: automake >= 1.6.3
BuildPrereq: autoconf
BuildPrereq: libtool

# Re-autogen without GNOME_COMPILE_WARNINGS
Patch1: libgnomeprintui-nognomecommon.patch

%description

The libgnomeprintui package contains GTK+ widgets related to printing.

%package devel
Summary: Libraries and headers for libgnomeprintui
Group: Development/Libraries
Requires:	%name = %{version}

Requires:  gtk2-devel >= %{gtk2_version}
Requires:  libgnomeprint22-devel >= %{libgnomeprint_version}
Requires:  libgnomecanvas-devel >= %{libgnomecanvas_version}

%description devel

The libgnomeprintui package contains GTK+ widgets related to printing.

You should install the libgnomeprintui-devel package if you would like
to compile applications that use the widgets in libgnomeprintui. You
do not need to install it if you just want to use precompiled
applications.

%prep
%setup -q -n libgnomeprintui-%{version}

%patch1 -p1 -b .nognomecommon

%build

aclocal
libtoolize --force
autoconf
automake --add-missing
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{gettext_package}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{gettext_package}.lang
%defattr(-,root,root)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc

%changelog
* Wed Jul  9 2003 Owen Taylor <otaylor@redhat.com> 2.2.1.3-2.0
- Bump for rebuild

* Wed Jul  2 2003 Owen Taylor <otaylor@redhat.com> 2.2.1.3-1
- Version 2.2.1.3

* Thu Jun 12 2003 Owen Taylor <otaylor@redhat.com> 2.2.1.2-1
- Version 2.2.1.2

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb  4 2003 Alexander Larsson <alexl@redhat.com>
- 2.2.1.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jan 16 2003 Havoc Pennington <hp@redhat.com>
- 2.1.8

* Mon Dec 16 2002 Havoc Pennington <hp@redhat.com>
- initial build of libgnomeprintui 2.2 (version 2.1.4)

